pluginManagement {
  repositories {
    gradlePluginPortal()
    google()
    mavenCentral()
  }

  resolutionStrategy {
    eachPlugin {
      if (requested.id.id == "org.jetbrains.kotlin.android") {
        useVersion("2.1.20")
      }
      if (requested.id.id == "org.jetbrains.kotlin.jvm") {
        useVersion("2.1.20")
      }
    }
  }

  includeBuild("../node_modules/@react-native/gradle-plugin")
}

plugins {
  id("com.facebook.react.settings")
}

dependencyResolutionManagement {
  repositoriesMode.set(RepositoriesMode.PREFER_SETTINGS)
  repositories {
    google()
    mavenCentral()

    maven {
      url 'https://api.webid-solutions.de/releases/android/maven/repository/internal'
    }
  }
}

extensions.configure(com.facebook.react.ReactSettingsExtension) { ex ->
  ex.autolinkLibrariesFromCommand()
}

rootProject.name = "webidmetaplugin.example"
include(":app")
